<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">

    <title>EmpleosApp | Listado de Ofertas de Trabajo</title>
    <!-- Bootstrap core CSS -->
   <link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link th:href="@{/bootstrap/css/jumbotron.css}" rel="stylesheet">
    <link th:href="@{bootstrap/css/sticky-footer-navbar.css}" rel="stylesheet">
    <link href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" rel="stylesheet">
  </head>

  <body>
    
 	<!-- HEADER -->
	<header th:insert="fragments/menu :: menu-principal"></header>
	
    <main role="main">     
      <hr>
      <div class="container"> 

        <div class="card">
          <h4 class="card-header"><strong>Listado de Ofertas de Trabajo</strong></h4>              
          <div class="card-body">
            <a class="btn btn-primary" th:href="@{/vacantes/create}" title="Crear nueva Oferta de Trabajo" role="button"><i class="fas fa-file" aria-hidden="true"></i> Nueva</a>            
            <hr>
            
            <!-- MENSAJE CONFIRMACION GUARDADO/ELIMINADO. Si msg es distinto a nulo, renderiza -->
            <div th:if = "${msg != null}" th:text = "${msg}" class="alert alert-success" role="alert"></div>
            
            <table class="table table-hover">
              <thead class="thead-light">
                <tr>
                  <th scope="col">Categoría</th>
                  <th scope="col">Nombre</th>                  
                  <th scope="col">Fecha Pub.</th>
                  <th scope="col">Estatus</th>
                  <th scope="col">Destacada</th>
                  <th scope="col">Operaciones</th>
                </tr>
              </thead>
              <tbody>
                <tr th:each="item: ${vacantes}">
                  <td th:text = ${item.categoria.nombre}></td>
                  <td th:text = "${item.nombre}"></td>                  
                  <td th:text = "${#dates.format(item.fecha, 'dd-MM-yyyy')}"></td>  <!-- Formato a la fecha --> 
                  <!-- <td th:text = "${#dates.format(item.fecha, 'dd-MM-yyyy HH:mm')}"></td> -->
                  <td th:text = "${item.estatus}"></td> 
                  <td th:text = "${item.destacado == 1 ? 'SI' : 'NO'}"></td>
                  <td>
                  	<!-- PathVariable -->
                    <a th:href="@{/vacantes/edit/{id} (id=${item.id} )}" class="btn btn-success btn-sm" role="button" title="Editar el registro."><i class="fas fa-pencil-alt" aria-hidden="true"></i></a>
                    
                    <!-- RequestParam -->
                    <a th:href="@{/vacantes/delete (id=${item.id}) }" onclick="return confirm('¿Estas seguro?')" class="btn btn-success btn-sm" role="button" title="Eliminar el registro."><i class="fas fa-trash" aria-hidden="true"></i></a>
                  	
                  	<!-- PathVariable -->
                  	<!-- <a th:href="@{/vacantes/delete/{id} (id=${item.id} )}" onclick="return confirm('¿Estas seguro?')" class="btn btn-success btn-sm" role="button" title="Eliminar el registro."><i class="fas fa-trash" aria-hidden="true"></i></a>-->
                  	
                  </td>
                </tr>            
              </tbody>
            </table>
            
            <!-- Paginacion -->
            <nav th:if="${vacantes.totalPages > 0}" aria-label="Page navigation example">
	            <ul class="pagination">
	            	<li class="page-item"><a th:href="@{/vacantes/indexPaginate(page=${vacantes.number - 1})}" class="page-link">Anterior</a></li>
	            	<li class="page-item"><a th:href="@{/vacantes/indexPaginate(page=${vacantes.number + 1})}" class="page-link">Siguiente</a></li>
	            </ul>
            </nav>
            
          </div>
        </div>
      </div> <!-- /container -->

    </main>

    <!-- FOOTER -->
    <footer class="footer" th:insert="fragments/footer:: pie-pagina"></footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>      
  </body>
</html>